//class TCL wrapper	for SYNTHESIS module
//	-module processing tcl command
//	-eda synthesize src dest stateMinimizationAlgorithm encodingAlgorithm realizationAlgorithm
//author: Petr Kraus
//////////////////////////////////////////////////////////////////////////

#ifndef TCLSYNTHESIZER_H
#define TCLSYNTHESIZER_H

#include <tcl.h>
#include <cstring>


#include "modules/synthesizer/Synthesizer.h"
#include "modules/synthesizer/AlgorithmIdentificator.h"	//Algoritm list included!

#pragma warning( push )
#pragma warning( disable : 4996 4100 4512 )	//usage of old stricmp and unreferenced parameter e in hub
#include "apps/tcleda/tclsupport.h"
#include "util/srvstreams.h"
#include "hub/location.h"
#include "hub/hub.h"
#include "hub/err.h"
#pragma warning( pop )

//eda synthesize src dest stateMinimizationAlgorithm encodingAlgorithm realizationAlgorithm
//function receiving the eda synthesize command
int tclSynthesizer( ClientData clientData, Tcl_Interp* interp, int objc, Tcl_Obj* CONST objv[] );

//eda synthesize getRealizationAlgorithms
//function receiving the eda synthesize get{StateMinimization|Encoding|Realization}Algorithms command
int tclGetAlgorithms( ClientData, Tcl_Interp* interp, int objc, Tcl_Obj* CONST objv[] );

#endif
