//Header containing standardized REALIZTION algorithms identifications
//author: Petr Kraus
//////////////////////////////////////////////////////////////////////////

#ifndef REALIZATIONALGORITHMS_H
#define REALIZATIONALGORITHMS_H

//////////////////////////////////////////
//enumerate your new algorithm(s) here.	//
//DO NOT delete lastR!!									//
//////////////////////////////////////////
enum RealizationAlgorithmID { naiveRTLDFFbased, lastR };

//////////////////////////////////////////////////////////////////////////////////////
//add your new algorithm identificator instance in array here												//
//with extended description, string identification and enum element added above			//
//DO NOT delete lastR!!																															//
//////////////////////////////////////////////////////////////////////////////////////
#define REALIZATION_ALGORITHMS	\
const RealizationAlgorithmIdentificator REALIZATION_ALGORITHMS_CHOICE[]	\
	= { RealizationAlgorithmIdentificator( "naive RTL D FF based implementation", "NaiveRTLDFFbased", naiveRTLDFFbased ),	\
		RealizationAlgorithmIdentificator( "end of array", "lastR", lastR )	\
	  };

#endif
