//Header containing standardized state MINIMIZATION algorithms identifications
//author: Petr Kraus
//////////////////////////////////////////////////////////////////////////

#ifndef MINMZALGORITHMS_H
#define MINMZALGORITHMS_H

//////////////////////////////////////////
//enumerate your new algorithm(s) here.	//
//DO NOT delete lastM!!									//
//////////////////////////////////////////
enum StateMinimizationAlgorithmID { noMinimization, super, lastM };

//////////////////////////////////////////////////////////////////////////////////////
//add your new algorithm identificator instance in array here												//
//with extended description, string identification and enum element added above			//
//DO NOT delete lastM!!																															//
//////////////////////////////////////////////////////////////////////////////////////
#define STATE_MINIMIZATION_ALGORITHMS	\
const StateMinimizationAlgorithmIdentificator STATE_MINIMIZATION_ALGORITHMS_CHOICE[]	\
	=	{	StateMinimizationAlgorithmIdentificator( "without state minimalization", "noMinimization", noMinimization ),	\
			StateMinimizationAlgorithmIdentificator( "super..... simple", "super", super ),	\
			StateMinimizationAlgorithmIdentificator( "end of array", "lastM", lastM )	\
		};

#endif
